-- Create table
create table BERLET
(
  AZON         NUMBER(10) not null,
  NEV          VARCHAR2(50) not null,
  IDOSZAK_KEZD DATE not null,
  IDOSZAK_VEGE DATE not null,
  TEREM        NUMBER(10) not null,
  ROV_NEV      VARCHAR2(10),
  TULAJ        NUMBER(38) not null
)
tablespace USERS
  pctfree 10
  initrans 1
  maxtrans 255
  storage
  (
    initial 64K
    minextents 1
    maxextents unlimited
  );
-- Add comments to the columns 
comment on column BERLET.AZON
  is 'Azonost';
comment on column BERLET.NEV
  is 'A brlet neve';
comment on column BERLET.IDOSZAK_KEZD
  is 'Az rvnyessgi idszak kezdete';
comment on column BERLET.IDOSZAK_VEGE
  is 'Az rvnyessgi idszak vge';
comment on column BERLET.TEREM
  is 'A brlet eladsinak terme';
comment on column BERLET.ROV_NEV
  is 'A brlet rvid neve';
comment on column BERLET.TULAJ
  is 'Rendezvnygazda';
-- Create/Recreate primary, unique and foreign key constraints 
alter table BERLET
  add constraint BERLET_PK primary key (AZON)
  using index 
  tablespace USERS
  pctfree 10
  initrans 2
  maxtrans 255
  storage
  (
    initial 64K
    minextents 1
    maxextents unlimited
  );
alter table BERLET
  add constraint BERLET_GAZDA_FK foreign key (TULAJ)
  references RENDEZVENYGAZDA (AZON);
alter table BERLET
  add constraint BERLET_TEREM_FK foreign key (TEREM)
  references TEREM (AZON);
-- Create/Recreate check constraints 
alter table BERLET
  add constraint IDOSZAK_CHECK
  check (idoszak_kezd < idoszak_vege);
