-- Create table
create table CIM
(
  SZER   NUMBER(38) not null,
  TIPUS  CHAR(1) not null,
  ORSZAG CHAR(2) not null,
  IRSZ   VARCHAR2(8) not null,
  VAROS  VARCHAR2(50) not null,
  CIM    VARCHAR2(100) not null
)
tablespace USERS
  pctfree 10
  initrans 1
  maxtrans 255
  storage
  (
    initial 64K
    minextents 1
    maxextents unlimited
  );
-- Add comments to the columns 
comment on column CIM.SZER
  is 'A szerepl azonostja';
comment on column CIM.TIPUS
  is 'A cm tpusa (P - postzsi, H - Hivatalos)';
comment on column CIM.ORSZAG
  is 'Az orszg kdja';
comment on column CIM.IRSZ
  is 'Irnytszm';
comment on column CIM.VAROS
  is 'A telepls neve';
comment on column CIM.CIM
  is 'A pontos cm';
-- Create/Recreate primary, unique and foreign key constraints 
alter table CIM
  add constraint CIM_PK primary key (SZER,TIPUS)
  using index 
  tablespace USERS
  pctfree 10
  initrans 2
  maxtrans 255
  storage
  (
    initial 64K
    minextents 1
    maxextents unlimited
  );
alter table CIM
  add constraint CIM_VEVO_FK foreign key (SZER)
  references VEVO (AZON);
alter table CIM
  add constraint COM_ORSZAG_FK foreign key (ORSZAG)
  references ORSZAG (KOD);
