-- Create table
create table DARAB
(
  AZON  NUMBER(38) not null,
  NEV   VARCHAR2(100) not null,
  MUFAJ NUMBER(5) not null,
  GAZDA NUMBER(38) not null
)
tablespace USERS
  pctfree 10
  initrans 1
  maxtrans 255
  storage
  (
    initial 64K
    minextents 1
    maxextents unlimited
  );
-- Add comments to the columns 
comment on column DARAB.AZON
  is 'Azonost';
comment on column DARAB.NEV
  is 'Megnevezs';
comment on column DARAB.MUFAJ
  is 'Mfaj azonostja';
comment on column DARAB.GAZDA
  is 'Rendezvnygazda';
-- Create/Recreate primary, unique and foreign key constraints 
alter table DARAB
  add constraint DARAB_PK primary key (AZON)
  using index 
  tablespace USERS
  pctfree 10
  initrans 2
  maxtrans 255
  storage
  (
    initial 64K
    minextents 1
    maxextents unlimited
  );
alter table DARAB
  add constraint DARAB_GARDA_FK foreign key (GAZDA)
  references RENDEZVENYGAZDA (AZON);
alter table DARAB
  add constraint DARAB_MUFAJ_FK foreign key (MUFAJ)
  references MUFAJ (AZON);
