-- Create table
create table ELADAS
(
  AZON       NUMBER(38) not null,
  IDOPONT    DATE not null,
  FIZETESMOD NUMBER(10) not null,
  VEVO       NUMBER(38),
  FIZETENDO  NUMBER(12,2) not null,
  KAPOTT     NUMBER(12,2) not null,
  VISSZA     NUMBER(12,2) not null,
  ELADO      VARCHAR2(10) not null,
  SZAMLA     NUMBER(38),
  TIPUS      CHAR(1) not null,
  SZOLG      NUMBER(10),
  SZOLG_DIJ  NUMBER(12,2)
)
tablespace USERS
  pctfree 10
  initrans 1
  maxtrans 255
  storage
  (
    initial 64K
    minextents 1
    maxextents unlimited
  );
-- Add comments to the columns 
comment on column ELADAS.AZON
  is 'Azonost';
comment on column ELADAS.IDOPONT
  is 'Az elads ideje';
comment on column ELADAS.FIZETESMOD
  is 'Fizetsmd';
comment on column ELADAS.VEVO
  is 'A vev azonostja';
comment on column ELADAS.FIZETENDO
  is 'Fizetend r';
comment on column ELADAS.KAPOTT
  is 'Kapott sszeg';
comment on column ELADAS.VISSZA
  is 'Visszajr';
comment on column ELADAS.ELADO
  is 'Elad kdja';
comment on column ELADAS.SZAMLA
  is 'A szmla azonostja';
comment on column ELADAS.TIPUS
  is 'J - jegyiroda I - interent';
comment on column ELADAS.SZOLG
  is 'A zolgltats azonostja';
comment on column ELADAS.SZOLG_DIJ
  is 'A szolgltats dja';
-- Create/Recreate primary, unique and foreign key constraints 
alter table ELADAS
  add constraint ELADAS primary key (AZON)
  using index 
  tablespace USERS
  pctfree 10
  initrans 2
  maxtrans 255
  storage
  (
    initial 64K
    minextents 1
    maxextents unlimited
  );
alter table ELADAS
  add constraint ELADAS_FIZMOD_FK foreign key (FIZETESMOD)
  references FIZETESMOD (AZON);
alter table ELADAS
  add constraint ELADAS_VEVO_FK foreign key (VEVO)
  references VEVO (AZON);
alter table ELADAS
  add constraint ELASAS_SZOLG_FK foreign key (SZOLG)
  references SZOLGALTATAS (AZON);
-- Create/Recreate check constraints 
alter table ELADAS
  add constraint EALDO_TIPUS_FK
  check (tipus in ('J', 'I'));
