-- Create table
create table ELADAS_ELEM
(
  ELADAS NUMBER(38) not null,
  JEGY   NUMBER(38) not null,
  AR     NUMBER(12,2) not null
)
tablespace USERS
  pctfree 10
  initrans 1
  maxtrans 255
  storage
  (
    initial 64K
    minextents 1
    maxextents unlimited
  );
-- Add comments to the columns 
comment on column ELADAS_ELEM.ELADAS
  is 'Elads azonostja';
comment on column ELADAS_ELEM.JEGY
  is 'Jegy azonostja';
comment on column ELADAS_ELEM.AR
  is 'Eladsi r';
-- Create/Recreate primary, unique and foreign key constraints 
alter table ELADAS_ELEM
  add constraint ELADAS_ELEM_PK primary key (ELADAS,JEGY)
  using index 
  tablespace USERS
  pctfree 10
  initrans 2
  maxtrans 255
  storage
  (
    initial 64K
    minextents 1
    maxextents unlimited
  );
alter table ELADAS_ELEM
  add constraint ELADAS_ELEM_ELADAS_FK foreign key (ELADAS)
  references ELADAS (AZON);
alter table ELADAS_ELEM
  add constraint ELADAS_ELEM_JEGY_FK foreign key (JEGY)
  references JEGY (AZON);
