-- Create table
create table JEGY
(
  AZON       NUMBER(38) not null,
  RENDEZVENY NUMBER(38),
  BERLET     NUMBER(10),
  SZEK       NUMBER(10) not null,
  STATUSZ    CHAR(1) not null
)
tablespace USERS
  pctfree 10
  initrans 1
  maxtrans 255
  storage
  (
    initial 64K
    minextents 1
    maxextents unlimited
  );
-- Add comments to the columns 
comment on column JEGY.AZON
  is 'Azonost';
comment on column JEGY.RENDEZVENY
  is 'Rendezvny azonost';
comment on column JEGY.BERLET
  is 'Brlet azonost';
comment on column JEGY.SZEK
  is 'Szk azonost';
comment on column JEGY.STATUSZ
  is 'F - szabad E- eladott';
-- Create/Recreate primary, unique and foreign key constraints 
alter table JEGY
  add constraint JEGY_PK primary key (AZON)
  using index 
  tablespace USERS
  pctfree 10
  initrans 2
  maxtrans 255
  storage
  (
    initial 64K
    minextents 1
    maxextents unlimited
  );
alter table JEGY
  add constraint JEGY_BERLET_FK foreign key (BERLET)
  references BERLET (AZON) on delete cascade;
alter table JEGY
  add constraint JEGY_REND_FK foreign key (RENDEZVENY)
  references RENDEZVENY (AZON) on delete cascade;
alter table JEGY
  add constraint JEGY_SZEK_FK foreign key (SZEK)
  references SZEK (AZON);
-- Create/Recreate check constraints 
alter table JEGY
  add constraint JEGY_REND_BERLET_CHK
  check (((rendezveny is not null) or (berlet is not null)) and not ((rendezveny is not null) and (berlet is not null)));
alter table JEGY
  add constraint JEGY_STATUS_CHK
  check (statusz in ('F', 'E'));
-- Create/Recreate indexes 
create index JEGY_ELOA_IND on JEGY (RENDEZVENY)
  tablespace USERS
  pctfree 10
  initrans 2
  maxtrans 255
  storage
  (
    initial 64K
    minextents 1
    maxextents unlimited
  );
