-- Create table
create table RENDEZVENY
(
  AZON    NUMBER(38) not null,
  STATUSZ NUMBER(2) not null,
  DARAB   NUMBER(38) not null,
  IDOPONT DATE not null,
  TEREM   NUMBER(10) not null,
  BERLET  NUMBER(10),
  TULAJ   NUMBER(38) not null
)
tablespace USERS
  pctfree 10
  initrans 1
  maxtrans 255
  storage
  (
    initial 64K
    minextents 1
    maxextents unlimited
  );
-- Add comments to the columns 
comment on column RENDEZVENY.AZON
  is 'Azonost';
comment on column RENDEZVENY.STATUSZ
  is 'A rendezvny sttusza (0 - ng nem rtkesthet, 1 - rtkesthet, 2 - mr nem rtkesthet)';
comment on column RENDEZVENY.DARAB
  is 'A darab azonostja';
comment on column RENDEZVENY.IDOPONT
  is 'A rendezvny idpontja';
comment on column RENDEZVENY.TEREM
  is 'A terem azonostja';
comment on column RENDEZVENY.BERLET
  is 'A r rvnyes brlet azonostja';
comment on column RENDEZVENY.TULAJ
  is 'A rendezvnytulajdonos azonostja';
-- Create/Recreate primary, unique and foreign key constraints 
alter table RENDEZVENY
  add constraint RENR_PK primary key (AZON)
  using index 
  tablespace USERS
  pctfree 10
  initrans 2
  maxtrans 255
  storage
  (
    initial 64K
    minextents 1
    maxextents unlimited
  );
alter table RENDEZVENY
  add constraint REND_BERLET_FK foreign key (BERLET)
  references BERLET (AZON);
alter table RENDEZVENY
  add constraint REND_DARAB_FK foreign key (DARAB)
  references DARAB (AZON);
alter table RENDEZVENY
  add constraint REND_TEREM_FK foreign key (TEREM)
  references TEREM (AZON);
alter table RENDEZVENY
  add constraint REND_TULAJ_FK foreign key (TULAJ)
  references RENDEZVENYGAZDA (AZON);
-- Create/Recreate check constraints 
alter table RENDEZVENY
  add constraint REND_STATUSZ_CHK
  check (statusz in (0,1,2));
