-- Create table
create table SZEK
(
  AZON    NUMBER(10) not null,
  SZEKTOR NUMBER(10) not null,
  SOR     VARCHAR2(5) not null,
  SZEK    VARCHAR2(5) not null
)
tablespace USERS
  pctfree 10
  initrans 1
  maxtrans 255
  storage
  (
    initial 64K
    minextents 1
    maxextents unlimited
  );
-- Add comments to the columns 
comment on column SZEK.AZON
  is 'Azonost';
comment on column SZEK.SZEKTOR
  is 'A szektor azonostja';
comment on column SZEK.SOR
  is 'Sor';
comment on column SZEK.SZEK
  is 'Szk';
-- Create/Recreate primary, unique and foreign key constraints 
alter table SZEK
  add constraint SZEK_PK primary key (AZON)
  using index 
  tablespace USERS
  pctfree 10
  initrans 2
  maxtrans 255
  storage
  (
    initial 64K
    minextents 1
    maxextents unlimited
  );
alter table SZEK
  add constraint SZEK_SZEKTOR_FK foreign key (SZEKTOR)
  references SZEKTOR (AZON) on delete cascade;
