-- Create table
create table SZEKTOR
(
  AZON  NUMBER(10) not null,
  NEV   VARCHAR2(50) not null,
  TEREM NUMBER(10) not null
)
tablespace USERS
  pctfree 10
  initrans 1
  maxtrans 255
  storage
  (
    initial 64K
    minextents 1
    maxextents unlimited
  );
-- Add comments to the columns 
comment on column SZEKTOR.AZON
  is 'Azonost';
comment on column SZEKTOR.NEV
  is 'A szektor neve';
comment on column SZEKTOR.TEREM
  is 'A terem azonostja';
-- Create/Recreate primary, unique and foreign key constraints 
alter table SZEKTOR
  add constraint SZEKTOR_PK primary key (AZON)
  using index 
  tablespace USERS
  pctfree 10
  initrans 2
  maxtrans 255
  storage
  (
    initial 64K
    minextents 1
    maxextents unlimited
  );
alter table SZEKTOR
  add constraint SZEKTOR_TEREM_FK foreign key (TEREM)
  references TEREM (AZON) on delete cascade;
