-- Create table
create table VEVO
(
  AZON    NUMBER(38) not null,
  NEV     VARCHAR2(100) not null,
  E_MAIL  VARCHAR2(100),
  TELEFON VARCHAR2(20)
)
tablespace USERS
  pctfree 10
  initrans 1
  maxtrans 255
  storage
  (
    initial 64K
    minextents 1
    maxextents unlimited
  );
-- Add comments to the columns 
comment on column VEVO.AZON
  is 'A vev azonostja';
comment on column VEVO.NEV
  is 'A vev neve';
comment on column VEVO.E_MAIL
  is 'A vev e-mail cme';
comment on column VEVO.TELEFON
  is 'Telefonszm';
-- Create/Recreate primary, unique and foreign key constraints 
alter table VEVO
  add constraint VEVO_PK primary key (AZON)
  using index 
  tablespace USERS
  pctfree 10
  initrans 2
  maxtrans 255
  storage
  (
    initial 64K
    minextents 1
    maxextents unlimited
  );
