-- Create table
create table WEB_ELADAS
(
  AZON           NUMBER(38) not null,
  STATUSZ        NUMBER(1) default 0 not null,
  KEZDO_IDOPONT  DATE not null,
  VEGE_IDOPOONT  DATE,
  IP_CIM         VARCHAR2(25) not null,
  VEVO           NUMBER(38) not null,
  HIBAKOD        VARCHAR2(20),
  ELADAS         NUMBER(38),
  SZALLITASMOD   NUMBER(5) not null,
  SZALLITASI_DIJ NUMBER(12,2) not null,
  FIZETENDO      NUMBER(12,2) not null,
  KERT_DB        NUMBER(5) not null,
  LOCAL_DB       VARCHAR2(10) not null
)
tablespace USERS
  pctfree 10
  initrans 1
  maxtrans 255
  storage
  (
    initial 64K
    minextents 1
    maxextents unlimited
  );
-- Add comments to the columns 
comment on column WEB_ELADAS.AZON
  is 'Egyedi azonost, elsdleges kulcs';
comment on column WEB_ELADAS.STATUSZ
  is '0 - folyamatban, 1- sikeres, 2 -sikertelen';
comment on column WEB_ELADAS.KEZDO_IDOPONT
  is 'A vsrls kezdete, els jegyvlaszts ideje';
comment on column WEB_ELADAS.VEGE_IDOPOONT
  is 'A vsrls vge, amikorra az elads megtrtnt';
comment on column WEB_ELADAS.IP_CIM
  is 'A vsrl IP cme';
comment on column WEB_ELADAS.VEVO
  is 'A vev azonostja';
comment on column WEB_ELADAS.HIBAKOD
  is 'A banktl kapott hibakd';
comment on column WEB_ELADAS.ELADAS
  is 'A loklis adatbzisban hozz tartoz elads azonostja';
comment on column WEB_ELADAS.SZALLITASMOD
  is 'A szlltsmd azonostja';
comment on column WEB_ELADAS.SZALLITASI_DIJ
  is 'A szllts dja';
comment on column WEB_ELADAS.FIZETENDO
  is 'Fizetend sszeg';
comment on column WEB_ELADAS.KERT_DB
  is 'sszesen ennyi jegyet vlasztott ki';
comment on column WEB_ELADAS.LOCAL_DB
  is 'A loklis adatbzis kdja';
-- Create/Recreate primary, unique and foreign key constraints 
alter table WEB_ELADAS
  add constraint WEB_ELADAS_PK primary key (AZON)
  using index 
  tablespace USERS
  pctfree 10
  initrans 2
  maxtrans 255
  storage
  (
    initial 64K
    minextents 1
    maxextents unlimited
  );
alter table WEB_ELADAS
  add constraint WELAD_SZALL_FK foreign key (SZALLITASMOD)
  references SZALLITAS (AZON);
alter table WEB_ELADAS
  add constraint WELAD_VEVO_FK foreign key (VEVO)
  references VEVO (AZON);
